stages:
    - deploy

hermes:
  image: kroniak/ssh-client
  stage: deploy
  before_script:
    - eval $(ssh-agent -s)
    - echo "$SLOWBOI_SSH" | tr -d '\r' | ssh-add -
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - 'echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
  script:
    - ssh root@slowboi.rethelyi.space "cd /home/blint/whale; git checkout master; git reset --hard; git pull origin master"
    - ssh root@slowboi.rethelyi.space "docker-compose up -d; systemctl restart caddy"
  only:
    - master


